Debian Bug report logs - #589985
nmu: various kdelibs & pimlibs rdeps

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Sune Vuorela <sune@debian.org>

Date: Thu, 22 Jul 2010 17:57:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Thu, 22 Jul 2010 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Jul 2010 17:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: submit@bugs.debian.org
Subject: nmu: variosu kdelis & pimlibs rdeps
Date: Thu, 22 Jul 2010 19:54:40 +0200
Subject: nmu: various kdelibs & pimlibs rdeps
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: binnmu
Severity: normal

*** Please type your report below this line ***

Hi!

kdelibs5 was left in as a transitional package to help testingg
migration when we split it in many pieces. We would like to get
rid of it before release. It requires a couple of binNMUs.
Would you please schedule them?

nmu ksshaskpass_0.5.3-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu bangarang_1.0.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu gtk-qt-engine_1:1.1+svn5-4 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu python-keyring-kwallet_0.2-3 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kcheckgmail_0.6.0-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kchmviewer_5.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kid3_1.4-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kio-ftps_0.2+dfsg-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kmplayer_1:0.11.2b-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kdesudo_3.4.2.3-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu rsibreak_4:0.10-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu smb4k_0.10.7-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu subtitlecomposer_0.5.3-3 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu rkward_0.5.3-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu polkit-kde-1_0.95.1-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kopete-silc-plugin_0.5-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu compizconfig-backend-kconfig_0.8.4-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu frescobaldi_1.0.2-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu quassel_0.6.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kplayer_1:0.7-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu klog_0.5.4-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu adept_3.0~beta7.2+nmu1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
nmu kvkbd_1:0.6-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"

(and kdevplatform/libsublime1 has a hardcoded dependency on kdelibs5, it
will be fixed soon)

and similar for kdepimlibs5
nmu libopensync-plugin-kdepim_0.22-4 . ALL . -m "rebuild to get rid of kdelibs5 dependency"


I'm hoping to upload a kdelibs and pimlibs without these two packages in a couple of weeks or so.

/Sune




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Tue, 03 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Aug 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 589985@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Sune Vuorela" <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Tue, 3 Aug 2010 12:11:05 -0400
Hi,

On Thu, July 22, 2010 13:54, Sune Vuorela wrote:
> kdelibs5 was left in as a transitional package to help testingg
> migration when we split it in many pieces. We would like to get
> rid of it before release. It requires a couple of binNMUs.
> Would you please schedule them?

Apologies for not getting back to you sooner.

Just to confirm that we have seen your request but that the binNMUs
haven't been scheduled yet.  A combination of uploads of several toolchain
updates and a couple of breakages in dpkg mean that some architectures
have quite large needs-build queues right now and I'd prefer not to
schedule the rebuilds until the queues are a little smaller.

For some of the faster architectures with smaller queues the updates will
probably get scheduled more quickly.

Regards,

Adam





Changed Bug title to 'nmu: various kdelibs & pimlibs rdeps' from 'nmu: variosu kdelis & pimlibs rdeps' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 01:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Sun, 26 Sep 2010 14:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 14:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Sun, 26 Sep 2010 16:49:51 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jul 22, 2010 at 19:54:40 +0200, Sune Vuorela wrote:

> kdelibs5 was left in as a transitional package to help testingg
> migration when we split it in many pieces. We would like to get
> rid of it before release. It requires a couple of binNMUs.

It doesn't seem reasonable to drop it before release, we should keep the
transitional package for a release IMO.  On that note, I see that e.g.
libkdecore5 Replaces old kdelibs5 but doesn't have Breaks on it.  That
seems to allow installing libkdecore5, then removing it, and having
dependencies on kdelibs5 still satisfied.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Sun, 26 Sep 2010 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <sune@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 16:21:07 GMT) Full text and rfc822 format available.

Message #22 received at 589985@bugs.debian.org (full text, mbox):

From: Sune Vuorela <sune@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Sun, 26 Sep 2010 18:18:25 +0200
On Sunday 26 September 2010 16:49:51 Julien Cristau wrote:
> On Thu, Jul 22, 2010 at 19:54:40 +0200, Sune Vuorela wrote:
> > kdelibs5 was left in as a transitional package to help testingg
> > migration when we split it in many pieces. We would like to get
> > rid of it before release. It requires a couple of binNMUs.
> 
> It doesn't seem reasonable to drop it before release, we should keep the
> transitional package for a release IMO.  On that note, I see that e.g.
> libkdecore5 Replaces old kdelibs5 but doesn't have Breaks on it.  That
> seems to allow installing libkdecore5, then removing it, and having
> dependencies on kdelibs5 still satisfied.

I guess we can keep the transitional package *if nothing* depends on it. Else 
it might just come back and bite us on the wheezy upgrade instead. It is just 
a matter of scheduling some binNMUs and nothing else.

But we need a kde4libs upload anyways, so if the binNMUs are scheduled, I see 
no reasons to actually keep it.

I assume that the toolchain issues and dpkg breakages that Adam mentioned 
almost two months ago have been sorted out.

/Sune
-- 
How to turn on the software?

You neither should uninstall the password, nor must debug a provider, so that 
then from Outlook Express XP you neither must ping to the Fast wordprocessor 
over a controller of a cache to a memory on a tool, nor can digit on the pin 
on the URL, this way from the control drawer inside Photoshop you must remove 
the IRC driver on a PCI printer for exploring a prompt.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Sun, 26 Sep 2010 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 16:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>
Cc: 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Sun, 26 Sep 2010 18:25:13 +0200
[Message part 1 (text/plain, inline)]
On Sun, Sep 26, 2010 at 18:18:25 +0200, Sune Vuorela wrote:

> But we need a kde4libs upload anyways, so if the binNMUs are scheduled, I see 
> no reasons to actually keep it.
> 
As I already told you, the reason to keep it is to avoid breaking the
lenny->squeeze upgrade more than it already is.  So if you're uploading
kde4libs anyway, please add the missing breaks and keep kdelibs5.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Wed, 29 Sep 2010 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 29 Sep 2010 17:03:03 GMT) Full text and rfc822 format available.

Message #32 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Wed, 29 Sep 2010 18:57:53 +0200
[Message part 1 (text/plain, inline)]
tag 589985 pending
kthxbye

On Thu, Jul 22, 2010 at 19:54:40 +0200, Sune Vuorela wrote:

> nmu ksshaskpass_0.5.3-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu bangarang_1.0.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu gtk-qt-engine_1:1.1+svn5-4 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu python-keyring-kwallet_0.2-3 . ALL . -m "rebuild to get rid of kdelibs5 dependency"

the source is python-keyring.

> nmu kcheckgmail_0.6.0-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kchmviewer_5.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kid3_1.4-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kio-ftps_0.2+dfsg-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kmplayer_1:0.11.2b-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kdesudo_3.4.2.3-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu rsibreak_4:0.10-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu smb4k_0.10.7-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu subtitlecomposer_0.5.3-3 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu rkward_0.5.3-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu polkit-kde-1_0.95.1-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kopete-silc-plugin_0.5-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu compizconfig-backend-kconfig_0.8.4-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu frescobaldi_1.0.2-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"

frescobaldi is arch:all, the dependency is hardcoded.

> nmu quassel_0.6.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kplayer_1:0.7-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu klog_0.5.4-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu adept_3.0~beta7.2+nmu1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> nmu kvkbd_1:0.6-2 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> 
The rest of those scheduled.

> and similar for kdepimlibs5
> nmu libopensync-plugin-kdepim_0.22-4 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> 
Scheduled.  (with s/kdelibs/kdepimlibs/)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 29 Sep 2010 17:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Thu, 30 Sep 2010 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 30 Sep 2010 14:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Thu, 30 Sep 2010 16:34:16 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 29, 2010 at 18:57:53 +0200, Julien Cristau wrote:

> > nmu quassel_0.6.1-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"

Package: quassel-client-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data-kde4 (=${source:Version}), dbus-x11, kdebase-runtime, kdelibs5, gawk

Package: quassel-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, quassel-data-kde4 (= ${source:Version}), dbus-x11, kdebase-runtime, kdelibs5, gawk

Also hardcoded.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Thu, 30 Sep 2010 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 30 Sep 2010 14:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Thu, 30 Sep 2010 16:39:38 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 29, 2010 at 18:57:53 +0200, Julien Cristau wrote:

> > and similar for kdepimlibs5
> > nmu libopensync-plugin-kdepim_0.22-4 . ALL . -m "rebuild to get rid of kdelibs5 dependency"
> > 
> Scheduled.  (with s/kdelibs/kdepimlibs/)
> 
  |   BD-Problem          :   libopensync-plugin-kdepim (= 0.22-4) build-depends on missing:
  |       - libopensync0-dev (>= 0.22-1)

libopensync-plugin-kdepim is not in squeeze though (#569382).

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#589985; Package release.debian.org. (Thu, 30 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 30 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #49 received at 589985@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Thu, 30 Sep 2010 16:46:58 +0200
[Message part 1 (text/plain, inline)]
> On Thu, Jul 22, 2010 at 19:54:40 +0200, Sune Vuorela wrote:
> 
> > nmu klog_0.5.4-1 . ALL . -m "rebuild to get rid of kdelibs5 dependency"

$ grep-excuses klog/amd64
klog/amd64 (0.5.6-1 to 0.5.6-1)
    Maintainer: Jaime Robles 
    Updated binary: klog (0.5.6-1 to 0.5.6-1+b1)
    Valid candidate
    Invalidated by dependency
    Not considered
    Depends: klog/amd64 hamlib (not considered)

hamlib's diffstat is
 154 files changed, 6424 insertions(+), 10924 deletions(-)
so that's probably not going into squeeze.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 02 Nov 2010 14:03:03 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <sune@debian.org>:
Bug acknowledged by developer. (Tue, 02 Nov 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #54 received at 589985-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sune Vuorela <sune@debian.org>, 589985-done@bugs.debian.org
Subject: Re: Bug#589985: nmu: variosu kdelis & pimlibs rdeps
Date: Tue, 2 Nov 2010 15:00:09 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jul 22, 2010 at 19:54:40 +0200, Sune Vuorela wrote:

> kdelibs5 was left in as a transitional package to help testingg
> migration when we split it in many pieces. We would like to get
> rid of it before release. It requires a couple of binNMUs.
> Would you please schedule them?
> 
I think this is done as far as I'm concerned.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Dec 2010 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:47:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.